# Generated by sila2.code_generator; sila2.__version__: 0.9.2
from __future__ import annotations

from typing import TYPE_CHECKING

from sila2.server import MetadataDict

from ..generated.pausecontroller import UUID, Pause_Responses, PauseControllerBase, Resume_Responses

if TYPE_CHECKING:
    from ..server import Server


class PauseControllerImpl(PauseControllerBase):
    def __init__(self, parent_server: Server) -> None:
        super().__init__(parent_server=parent_server)

    def Pause(self, CommandExecutionUUID: UUID, *, metadata: MetadataDict) -> Pause_Responses:
        raise NotImplementedError  # TODO

    def Resume(self, CommandExecutionUUID: UUID, *, metadata: MetadataDict) -> Resume_Responses:
        raise NotImplementedError  # TODO
